package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.BisHiddRectImplMapper;
import com.goldenwater.slaj.hidd.domain.BisHiddRectImpl;
import com.goldenwater.slaj.hidd.service.IBisHiddRectImplService;

/**
 * 隐患整改落实 服务层实现
 */
@Service
public class BisHiddRectImplServiceImpl implements IBisHiddRectImplService {

    @Autowired
    private BisHiddRectImplMapper bisHiddRectImplMapper;

    /**
     * 查询隐患整改落实信息
     * @param guid 查询条件
     * @return 隐患整改落实信息
     */
    @Override
    public BisHiddRectImpl selectBisHiddRectImplByGuid(String guid) {
        return bisHiddRectImplMapper.selectBisHiddRectImplByGuid(guid);
    }

    /**
     * 查询隐患整改落实列表
     * @param bisHiddRectImpl 隐患整改落实查询条件
     * @return 隐患整改落实集合
     */
    @Override
    public List<BisHiddRectImpl> selectBisHiddRectImplList(BisHiddRectImpl bisHiddRectImpl) {
        return bisHiddRectImplMapper.selectBisHiddRectImplList(bisHiddRectImpl);
    }

    /**
     * 新增隐患整改落实
     * @param bisHiddRectImpl 隐患整改落实信息
     * @return 影响行数
     */
    @Override
    public int insertBisHiddRectImpl(BisHiddRectImpl bisHiddRectImpl) {
        return bisHiddRectImplMapper.insertBisHiddRectImpl(bisHiddRectImpl);
    }

    /**
     * 修改隐患整改落实
     * @param bisHiddRectImpl 隐患整改落实信息
     * @return 影响行数
     */
    @Override
    public int updateBisHiddRectImpl(BisHiddRectImpl bisHiddRectImpl) {
        return bisHiddRectImplMapper.updateBisHiddRectImpl(bisHiddRectImpl);
    }

    /**
     * 删除隐患整改落实
     * @param guid 隐患整改落实主键
     * @return 影响行数
     */
    @Override
    public int deleteBisHiddRectImplByGuid(String guid) {
        return bisHiddRectImplMapper.deleteBisHiddRectImplByGuid(guid);
    }

    /**
     * 批量删除隐患整改落实
     * @param guids 隐患整改落实主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisHiddRectImplByGuids(String[] guids) {
        return bisHiddRectImplMapper.deleteBisHiddRectImplByGuids(guids);
    }
}
